<?php

class ExceptionMySQL extends Exception
{
	// Error notice
	protected $mysql_error;

	// SQL-запрос
	protected $sql_query;

	public function __construct($mysql_error, $sql_query, $message)
	{
		$this->mysql_error = $mysql_error;
		$this->sql_query = $sql_query;

		// Call a base class constructor
		parent::__construct($message);

	}

	public function getMySQLError()
	{
		return $this->mysql_error;
	}

	public function getSQLQuery()
	{
		return $this->sql_query;
	}
}

?>
