<?php

/********************************************
* My Links Manager 2.0.4
* Copyright (c) 2011-2015 Alexander Yanitsky
* Website: http://janicky.com
* E-mail: janickiy@mail.ru
* Skype: janickiy
********************************************/

require_once 'config/config.inc';

// Switch off the identifier of session
@ini_set('session.use_trans_sid', 0);

// Start a new session
session_start();

// Require necessary classes
require_once "class/class.exception_mysql.php";
require_once 'class/html_template/SeparateTemplate.php';

try
{
    // Require necessary libs
	require_once "lib/function.inc";
	require_once "lib/connect.inc";	
	
	$_GET['id_cat'] = $dbh->real_escape_string($_GET['id_cat']);	

	$query = "SELECT * FROM ".DB_CATALOG." WHERE id_cat = ".$_GET['id_cat'];
	$result = $dbh->query($query);
     
	if(!$result) throw new ExceptionMySQL($dbh->error,$query,"Error executing SQL query!");
     
	$row = $result->fetch_array();
     
	header( "Content-type: ".$row['image_mime']."");
	echo $row['image'];

	$dbh->close();
}
catch(ExceptionMySQL $exc)
{
	require_once("lib/exception_mysql_debug.inc");
}
     
?>