CREATE TABLE IF NOT EXISTS `lm_aut` (
  `passw` varchar(32) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `lm_aut` (`passw`) VALUES ('b59c67bf196a4758191e42f76670ceba');

CREATE TABLE IF NOT EXISTS `lm_captcha` (
  `id_captcha` int(10) NOT NULL AUTO_INCREMENT,
  `id_session` varchar(32) NOT NULL,
  `securityCode` varchar(100) NOT NULL,
  `time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_captcha`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `lm_catalog` (
  `id_cat` int(6) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `keywords` varchar(255) NOT NULL,
  `image` mediumblob NOT NULL,
  `image_mime` varchar(40) NOT NULL,
  `id_parent` int(6) NOT NULL,
  PRIMARY KEY (`id_cat`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `lm_catalog` (`id_cat`, `name`, `description`, `keywords`, `image`, `image_mime`, `id_parent`) VALUES
(1, 'Category 1', '', '', '', '', 0),
(2, 'Category 2', '', '', '', '', 0),
(3, 'Category 3', '', '', '', '', 0),
(4, 'Subcategory 1', '', '', '', '', 3),
(5, 'Subcategory 2', '', '', '', '', 3),
(6, 'Subcategory 3', '', '', '', '', 3);

CREATE TABLE IF NOT EXISTS `lm_links` (
  `id_link` int(7) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `reciprocal_link` varchar(255) NOT NULL,
  `time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `time_check` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `email` varchar(100) NOT NULL,
  `keywords` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `full_description` text NOT NULL,
  `htmlcode_banner` text NOT NULL,
  `id_cat` int(7) NOT NULL DEFAULT '0',
  `status` enum('new','show','hide','black') NOT NULL DEFAULT 'hide',
  `token` varchar(64) NOT NULL,
  `check_link` enum('yes','no') NOT NULL DEFAULT 'yes',
  `count` int(6) NOT NULL DEFAULT '0',
  `reason` varchar(255) NOT NULL,
  `number_check` int(7) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_link`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `lm_settings` (
  `language` enum('en','ru') NOT NULL,
  `all_number_links` int(6) NOT NULL DEFAULT '0',
  `all_number_new` int(6) NOT NULL DEFAULT '0',
  `columns_number` int(3) NOT NULL DEFAULT '0',
  `number_chars_description_min` int(6) NOT NULL DEFAULT '10',
  `number_chars_description_max` int(6) NOT NULL DEFAULT '300',
  `number_chars_fulldescription_min` int(6) NOT NULL DEFAULT '30',
  `number_chars_fulldescription_max` int(6) NOT NULL DEFAULT '1500',
  `number_html_chars` int(6) NOT NULL DEFAULT '0',
  `order_views` enum('1','2') NOT NULL DEFAULT '1',
  `order_links` enum('1','2') NOT NULL DEFAULT '1',
  `url` varchar(255) NOT NULL,
  `email` varchar(64) NOT NULL,
  `new_links_notification` enum('yes','no') NOT NULL DEFAULT 'yes',
  `rules` text NOT NULL,
  `htmlcode_site1` text NOT NULL,
  `htmlcode_site2` text NOT NULL,
  `htmlcode_site3` text NOT NULL,
  `htmlcode_banner1` text NOT NULL,
  `htmlcode_banner2` text NOT NULL,
  `htmlcode_banner3` text NOT NULL,
  `template_mail_1` text NOT NULL,
  `template_mail_2` text NOT NULL,
  `template_mail_3` text NOT NULL,
  `template_mail_4` text NOT NULL,
  `template_mail_5` text NOT NULL,
  `template_mail_6` text NOT NULL,
  `template_mail_7` text NOT NULL,
  `from_add_message` text NOT NULL,
  `add_links_without_check` enum('yes','no') NOT NULL DEFAULT 'yes',
  `check_links` enum('yes','no') NOT NULL DEFAULT 'yes',
  `limit_reciprocal_links` enum('yes','no') NOT NULL DEFAULT 'yes',
  `number_reciprocal_links_limit` int(6) NOT NULL DEFAULT '0',
  `common_host` enum('yes','no') NOT NULL DEFAULT 'yes',
  `check_get_parameter` enum('yes','no') NOT NULL DEFAULT 'no',
  `add_to_blacklist` enum('yes','no') NOT NULL DEFAULT 'yes',
  `check_interval` int(6) NOT NULL DEFAULT '0',
  `number_check` int(6) NOT NULL DEFAULT '3',
  `static` enum('1','2') NOT NULL DEFAULT '2',
  `request_captcha` enum('yes','no') NOT NULL DEFAULT 'yes',
  `show_cy` enum('yes','no') NOT NULL DEFAULT 'yes',
  `show_pr` enum('yes','no') NOT NULL DEFAULT 'yes',
  `check_url` enum('yes','no') NOT NULL DEFAULT 'no'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `lm_settings` (`language`, `all_number_links`, `all_number_new`, `columns_number`, `number_chars_description_min`, `number_chars_description_max`, `number_chars_fulldescription_min`, `number_chars_fulldescription_max`, `number_html_chars`, `order_views`, `order_links`, `url`, `email`, `new_links_notification`, `rules`, `htmlcode_site1`, `htmlcode_site2`, `htmlcode_site3`, `htmlcode_banner1`, `htmlcode_banner2`, `htmlcode_banner3`, `template_mail_1`, `template_mail_2`, `template_mail_3`, `template_mail_4`, `template_mail_5`, `template_mail_6`, `template_mail_7`, `from_add_message`, `add_links_without_check`, `check_links`, `limit_reciprocal_links`, `number_reciprocal_links_limit`, `common_host`, `check_get_parameter`, `add_to_blacklist`, `check_interval`, `number_check`, `static`, `request_captcha`, `show_cy`, `show_pr`, `check_url`) VALUES ('en', 5, 5, 3, 20, 300, 100, 1000, 300, '2', '2', '', 'admin@my-domain.com', 'yes', 'Binding condition of posting your link in our catalog is placing links pointing to our website on your website. If we won`t find the link on our website then we`ll remove your', '<a href=http://mysite.com>mysite.com</a> - Description of website', '', '', '', '', '', 'Hi there,\r\n\r\nInformation about your website was added to the {[HTTP_HOST]} catalog and will be available at {[ADRESS]} after validation of admin\r\n------------------------------\r\nName of website: {[NAME]}\r\nE-mail: {[EMAIL]}\r\nURL: http://{[URL]}\r\nDescription: {[DESCRIPTION]}\r\n------------------------------\r\nLet remind you that binding to place your link in our catalog is placing links to our website on your website.\r\nHere is the code of our link:\r\n<a title=My Website href=http://mysite.ru>My Website</a> - My Website.\r\nIf we won''t find the link on our website after while then we''ll remove yours!\r\n\r\nSincerely, Administrator {[HTTP_HOST]}\r\n\r\nThis E-mail was created by an automatic system.\r\nDate and time of creation: {[DATE]}', 'Hi there,\r\n\r\nYour website {[URL]} was added to the links catalog {[HTTP_HOST]}.\r\n\r\nSincerely, administrator {[HTTP_HOST]}\r\n\r\nThis E-mail was created by an automatic system.\r\nDate and time of creation: {[DATE]}', 'Hi there,\r\n\r\nYour website {[URL]} is temporarily hidden in the catalog of links {[HTTP_HOST]}.\r\nWe have not found the link on our website at http://{[URL_LINK]}. Perhaps it was moved or its page is not available. You have {[DATE_LIMIT]} days to restore the link on our website, otherwise your link will be removed from our catalog\r\n\r\nYou can edit the url address reciprocal link at the folowing link: http://{[URL_EDIT]}.\r\n\r\nSincerely, Administrator {[HTTP_HOST]}\r\n\r\nThis E-mail was created by an automatic system.\r\nDate and time of creation: {[DATE]}', 'Hi there,\r\n\r\nYour website {[URL]} is temporarily hidden in the catalog of links {[HTTP_HOST]} for reason: {[REASON]}. You have {[DATE_LIMIT]} days to remove a prohibition for indexing, otherwise your link will be removed from our catalog.\r\n\r\nRegards, administrator {[HTTP_HOST]}\r\n\r\nThis E-mail was created by an automatic system.\r\nDate and time of creation: {[DATE]}', 'New link was added to your website {[HTTP_HOST]} {[DATE]}:\r\n--------------------------------------------------\r\nName: {[NAME]}\r\nE-mail: {[EMAIL]}\r\nURL: http://{[URL]}\r\nDiscription: {[DESCRIPTION]}\r\n--------------------------------------------------', 'Hi there,\r\n\r\nYour website {[URL]} was removed from catalog of links {[HTTP_HOST]}.\r\n\r\nSincerely, administrator {[HTTP_HOST]}\r\n\r\nThis E-mail was created by an automatic system.\r\nDate and time of creation: {[DATE]}', 'Hi there,\r\n\r\nYour website {[URL]} was not added to thr catalog of links {[HTTP_HOST]} because didn''t pass a verification.\r\n\r\nSincerely, administrator {[HTTP_HOST]}\r\nThis E-mail was created by an automatic system.\r\nDate and time of creation: {[DATE]}', 'Your link has been added to a turn on the check and will be available in the catalog after validation of asdministrator!', 'no', 'yes', 'no', 30, 'no', 'no', 'yes', 7, 3, '2', 'yes', 'yes', 'yes', 'no');