<?php

/********************************************
* My Links Manager 2.0.4
* Copyright (c) 2011-2015 Alexander Yanitsky
* Website: http://janicky.com
* E-mail: janickiy@mail.ru
* Skype: janickiy
********************************************/

ob_start();

// config
require_once '../config/config.inc';

// check install
require_once "../lib/check_install.inc";

// Require necessary classes
require_once "../class/class.exception_mysql.php";

try
{
	// Require necessary libs
	require_once "../lib/function.inc";
	require_once "../lib/connect.inc";
	
	// Get a settings of catalogue
	$query = "SELECT * FROM ".DB_SETTING."";
	$result = $dbh->query($query);

	if(!$result) { throw new ExceptionMySQL($dbh->error,$query,"Error executing SQL query!"); }

	$settings = $result->fetch_array();

	$result->close();

	// interface module
	include "templates/language/".$settings['language'].".inc";	

	// Authenticate
	require "../lib/authenticate.inc";

	if(!preg_match("|^[\d]*$|",$_GET['id_cat'])) exit();
		
	function del_catalog($id_catalog)
	{
		global $dbh;
	
		$query = "SELECT * FROM ".DB_CATALOG." WHERE id_parent = ".$id_catalog;
		$result = $dbh->query($query);
		
		if(!$result) { throw new ExceptionMySQL($dbh->error,$query,"Error executing SQL query!"); } 

		if($result){
			while($row = $result->fetch_array())
			{
				$query = "DELETE FROM ".DB_LINKS." WHERE id_cat = ".$row['id_cat'];
				$dbh->query($query);
				del_catalog($row['id_cat']);
			}
		}

		$delete = "DELETE FROM ".DB_CATALOG." WHERE id_cat = ".$id_catalog;
		$dbh->query($delete);     
	}	
	
	del_catalog($_GET['id_cat']);		

	header("Location: ".$_SERVER['HTTP_REFERER']."");
	exit;
}
catch(ExceptionMySQL $exc)
{
	require_once("../lib/exception_mysql_debug.inc");
}

?>
