<?php

define("TITLEADMIN_PAGE_NEW_LINKS","New links");
define("TITLEADMIN_NEW_LINKS","Admin area My Links Manager | New links");
define("INFO_NEW_LINKS",'The links added to the catalogue get to this section only in case the corresponding option is selected in the "Settings" section. 
Links are accessible in the catalogue only after the administrator has checked and approved them. The following actions are available for the administrator: to check up manually and to check up automatically. 
If you choose &quot;<b>Check up manually</b>&quot; the window describing the link opens, also there is a frame at the bottom where the page with the back link is displayed. 
The administrator decides what to do with the link next. Whether to add, remove or blacklist it. 
If you choose &quot;<b>check up automatically</b>&quot; option  a script checks the link quality according to the rules set up in the options, and depending on the result the link gets to the catalogue, is deleted or blacklisted.');

define("TITLEADMIN_PAGE_ADD_NEW_LINK","Add the url");
define("TITLE_ADD_NEW_LINK","Admin area My Links Manager | Add url");
define("INFO_ADD_NEW_LINK","In this section You can add your site to the catalog. Please fill in all required fields. 
If You do not want to check the added site uncheck &quot;<b>To check this link</b>&quot");

define("TITLEADMIN_PAGE_CATEGORY","Categories");
define("TITLEADMIN_CATEGORY","Admin area My Links Manager | Categories");
define("INFO_CATEGORY",'Here there is a list of catalogs and subcategories. To look through the list of subcategories for the catalog, go to the page using the name of the catalog link, after that the list of subcategories appears at the bottom of the page. 
To add a new category, click the link &quot;<b>+Add category</b>&quot;. To add a subcategories click the link &quot;<b>+Add subcategory</b>&quot;"');

define("TITLEADMIN_PAGE_ADD_CATEGORY","Add the category");
define("TITLEADMIN_ADD_CATEGORY","Admin area My Links Manager | Add the category");
define("INFOADMIN_ADD_CATEGORY",'In the field "Category" you can change the name of the category. Fields &quot;<b>Description (html)</b>&quot; and &quot;<b>Keywords (html)</b>&quot; are optional and will only appear in meta tags.');

define("TITLEADMIN_EDITCATEGORY","Admin area My Links Manager | Edit Category");
define("TITLEADMIN_PAGE_EDITCATEGORY","Edit Category");
define("INFO_EDITCATEGORY",'In the field "Category" you can change the name of the category. Fields &quot;<b>Description (html)</b>&quot; and &quot;<b>Keywords (html)</b>&quot; are optional and will only appear in meta tags.');

define("TITLEADMIN_PAGE_LINKS","Links");
define("TITLEADMIN_LINKS","Admin area My Links Manager | Links");
define("INFO_LINKS","In this section you can edit links. There is a search form for convenience of search of a links.");

define("TITLEADMIN_PAGE_BLACKLIST","Blacklist");
define("TITLEADMIN_BLACKLIST","Admin area My Links Manager | Blacklist");
define("INFO_BLACKLIST",'In this section You can view all of the links that are in the black list. 
To restore the link, click the &quot;<b>Restore</b>&quot;. In order to delete it from the database click &quot;<b>Remove</b>&quot;');

define("TITLEADMIN_PAGE_CHECK_LINKS","Check links");
define("TITLEADMIN_CHECK_LINKS","Admin area My Links Manager | Check links");
define("INFO_CHECK_CHECK_LINKS",'In this section links checking is carried out. In the section &quot;<b>Links waiting for checks</b>&quot; there are the links, that have been hidden. 
You can check out all the links by clicking the &quot;<b>Check all links automatically</b>&quot;. In 
this case all the links will be checked in accordance with the rules set up in 
the settings. After the checking is completed there will be a report with the 
results of it (the number of links added, hidden and removed).<br>

Also you can check any link both automatically and manually. If you select the 
option &quot;<b>Check manually</b>&quot; the window with the description of this link 
opens, at the bottom there is a frame where the back link is displayed. The 
administrator decides what to do with the link next: add, remove, or add to the 
blacklist.<br>

<span class=msg>Attention, please! </span>If the checkbox &quot;<b>Check 
the link</b>&quot; is deselected for the link &quot;<b>Check automatically</b>&quot; is not 
available.');

define("TITLEADMIN_PAGE_DESIGN","Edit design");
define("TITLEADMIN_DESIGN","Admin area My Links Manager | Edit design");
define("INFO_DESIGN",'In this section, you can edit the catalog tepmlates. The Editable files is available, through which you can change the design.<br />
File <b>style.css</b> includes like as a cascading style sheet files and sets the catalog design.<br />
Files <b>header.tpl</b> and <b>footer.tpl</b> include HTML code which is responsible for an original design of the catalog.');

define("TITLEADMIN_EDITLINK","Admin area My Links Manager | Edit link");
define("TITLEADMIN_PAGE_EDITLINK","Edit link");
define("INFO_EDITLINK",'In this section you can edit link. Please fill in all required fields. If You do not want to check the added site uncheck <b>&quot;To check this link&quot;</b>');

define("TITLEADMIN_PAGE_PASSWORD","Change password");
define("TITLEADMIN_PASSWORD","Admin area My Links Manager | Change password");
define("INFOADMIN_PASSWORD","In this section you can change Password. <span class=msg>Attention!</span> Immediately after the first installation script catalog do not forget to change the default password on your own.");

define("TITLEADMIN_SETTINGS","Admin area My Links Manager | Settings");
define("TITLEADMIN_PAGE_SETTINGS","Settings");
define("INFO_SETTINGS",'<font color="#FFFFFF"><b>Interface settings</b></font><br />
In this section only the settings responsible for the interface and directory data are available. <span class="msg">Note:</span> In order to use the static type of catalog links, it is necessary that your server is connected to mode_rewrite module. Do not forget to set your rights for 0755 (CHMOD) for settings.php. It is necessary for the script to have the opportunity to record in .htaccess<br />
<font color="#FFFFFF"><b>Email templates</b></font><br />
In this section you can edit letter documents sent to the directory administrator and users in certain cases. 
In curly brackets  there is: <b>NAME</b> - the name of the link, <b>EMAIL</b> - email address of the user, 
<b>URL</b> - the Url address of the link, <b>URL_LINK</b> - Url address of the page with the response link, <b>DESCRIPTION</b> - the description of the link, <b>DATE</b> - the date of adding the link to the directory, URL_EDIT - the Url address where the user can edit the link, <b>DATE_LIMIT</b> – the minimum interval to check the back link in days, <b>HTTP_HOST</b> - directory host, <b>REASON</b> - the reason for which the link was hidden.<br />
<font color="#FFFFFF"><b>Work configuration of the catalog</b></font><br /> 
This section contains the settings that are responsible for the procedure of checking the input data sent by users when adding links. And also in this section you can set the parameters and actions of the directory during verification of back links.
');

define("AUTORIZATION","Authorization");
define("REASON_ADMIN","By the wish of the admin");

define("MSG_CHANGES_ADDED","Changes have been added");
define("MSG_SEARCH_NOTFOUND","For your search nothing is found!");
define("MSG_SEARCH_QUANTITY_CHARCTER","The number of characters in the keyword should not be less than 3!");
define("MSG_NOTLINKS","There are not links");
define("MSG_NOTNEWLINKS","There are not new links");
define("MSG_CHECK_IS_COMPLETED","Check is complete");
define("MSG_LINK_ADDED_TO_BLACKLIST","Link has been added to Blacklist");
define("MSG_LINK_REMOVED","Link has been removed");
define("MSG_LINK_RESTORED","Link has been restored");
define("MSG_LINK_ADDED","Link has been added");
define("MSG_SEARCH_NOTFOUND","For your request nothing found!");
define("MSG_CLOSED_FOR_INDEX_ROBOT","Forbidden for indexing by robots.tx");
define("MSG_CLOSED_FOR_INDEX_META","Forbidden for indexing by meta tag &lt;meta&nbsp;name=robot&gt;");
define("MSG_PASSWORD_CHANGED","Password has been changed");
define("MSG_ALERT_WAS_CHECKED","This link was already checked today!");

define("MSG_ERROR_EDITLINK","Edit error of link!");
define("MSG_ERROR_NOT_FILLED_FULL_DESC","Please fill in full description!");
define("MSG_ERROR_NOT_FILLED_CAPTCHA","Please fill in security code!");
define("MSG_ERROR_NOT_FILLED_BRIEF_DESC","Please fill in brief description of your site!");
define("MSG_ERROR_NOT_FILLED_EMAIL","Please fill in email!");
define("MSG_ERROR_NOT_FILLED_URL_LINK","Please fill in address of reciprocal link's page on our site!");
define("MSG_ERROR_NOT_FILLED_URL","Please fill in address of your site!");
define("MSG_ERROR_NOT_FILLED_NAME","Please fill in name of your site!");
define("MSG_ERROR_TYPE_BANNER","Banner extension should be GIF, JPEG or PNG!");
define("MSG_ERROR_SIZE_BANNER","Banner size should be 88X31!");
define("MSG_ERROR_WRONG_HTML_BANNER","Error in HTML code of banner!");
define("MSG_ERROR_NOT_RECIPROCAL_LINK","There is not our link on your site!");
define("MSG_ERROR_MULTIURL","Not all links point to the same site!");
define("MSG_ERROR_NO_MULTIURL_LINK","Forbidden to add a multiurl links!");
define("MSG_ERROR_WRONG_HTML_LINK","Error in HTML code!");
define("MSG_ERROR_CLOSE_INDEX_DIR","You placed reciprocal link on the page forbidden for indexation by the robots.txt!");
define("MSG_ERROR_CLOSE_INDEX_TAGS","You placed reciprocal link on the page forbidden for indexation by the robots &lt;meta name=robot&gt;");
define("MSG_ERROR_FULL_DESC_SPACES","Text of full description contains too many characters without spaces!");
define("MSG_ERROR_BRIEF_DESC_SPACES","Text of brief description contains too many characters without spaces!");
define("MSG_ERROR_NOT_YOUR_SITE","Please enter your site!");
define("MSG_ERROR_WRONG_URL","Wrong Url address! Enter Url address correctly <i>my-domain.com</i> or <i>www.my-domain.com</i>");
define("MSG_ERROR_WRONG_EMAIL","Wrong еmail! Enter Email correctly <i>yourname@my-domain.com</i>");
define("MSG_ERROR_AWAIT_CHECK","This site is awaiting verification!");
define("MSG_ERROR_EXIST_SITE","This site already exists in the Database!");
define("MSG_ERROR_CHOOSE_CATEGORY","Choose a category");
define("MSG_ERROR_NOFILL_NAME","Enter the name of the site!");
define("MSG_ERROR_ERRORALREADY_EXISTS","This site already exists in the Database!");
define("MSG_ERROR_WAIT_VERIFICATION","This site is awaiting verification!");
define("MSG_ERROR_SHORT_DESC_WITHOUT_SPACES","Text of brief description contains too many characters without spaces!");
define("MSG_ERROR_FULL_DESC_WITHOUT_SPACES","Text of full description contains too many characters without spaces!");
define("MSG_ERROR_EXEND_BANNER","Banner extension should be GIF, JPEG or PNG!");
define("MSG_ERROR_NOFILL_URL","Please fill in address of website!");
define("MSG_ERROR_NOFILL_BRIEFDESC","Please fill in brief description of website!");
define("MSG_ERROR_NOFILL_FULLDESC","Please fill in full description of website!");
define("MSG_ERROR_FILL_CURRENT_PASSWORD","Enter the current password!");
define("MSG_ERROR_PASSWORDS_DONT_MATCH","Passwords do not match!");
define("MSG_ERROR_WRONG_PASSWORD","Current password is incorrect!");
define("MSG_ERROR_FILL_PASSWORD","Password is not entered!");
define("MSG_ERROR_FILL_AGAIN_PASSWORD","Enter password again!");
define("MSG_ERROR_AUTHENTICATE",'Sorry, but you have not been authorized.\nAccess denied!');
define("MSG_ERROR_FILL_CAT_NAME","Enter the name of the category!");
define("MSG_ERROR_FILESIZE","File size is larger %LIMIT% Kb!");
define("MSG_ERROR_FAILED_ADD_CHANGES_DESIGN","Failed to add the changes! The file %FILE% is not writable");

define("STR_ADD_MORE_LINK","Add more link");
define("STR_GO_BACK","Go back");
define("STR_HOME","Home");
define("STR_SUBJECT_WAIT","Your site was added to turn for check");
define("STR_SUBJECT_NEWLINK","New link");
define("STR_SUBJECT_NOADD","Your site is not verified");
define("STR_SUBJECT_ADD","Your site is added to the catalog");
define("STR_SUBJECT_DEL","Your link is removed");
define("STR_SUBJECT_HIDE","Your link is temporarily hidden");
define("STR_NAME_OF_WEBSITE","Name of website");
define("STR_RECIP_URL_LINK","Address of the page with a reciprocal link");
define("STR_DESCRIPTION_OF_WEBSITE","Description of website");
define("STR_CATEGORY","Category");
define("STR_ADDED","Added");
define("STR_EMAIL","E-mail");
define("STR_VERSION","version");
define("STR_REQUIRED_FIELDS","Required fields");
define("STR_WEBSITE_NAME","Website name");
define("STR_ADDRESS_OF_RECIP_LINK_PAGE","Address of the page with a reciprocal link");
define("STR_KEYWORDS","Keywords");
define("STR_LIST_SEPARATED_BY_COMMAS","list separated by commas");
define("STR_ONLY_TEXT_NOT_HTML","Text only, not HTML code");
define("STR_BRIEF_DESCRIPTION","Brief description of site");
define("STR_FULL_DESCRIPTION","Full description of the site");
define("STR_HTML_CODE_OF_BANNER","HTML-code of a banner");
define("STR_TO_CHECK_THIS_LINK","check this link");
define("STR_CHOOSE_CATEGORY","Select a category");
define("STR_IDENTIFIED_FOLLOWING_ERRORS",'Identified following errors');
define("STR_INTERFACE_SETTINGS","Interface settings");
define("STR_LANGUAGE","Language");
define("STR_LANG_RU","Русский (Russian)");
define("STR_LANG_EN","English (English)");
define("STR_ALL_NUMBER_LINKS","The number of links on a page in the catalog of user's and admin's part");
define("STR_ALL_NUMBER_NEW","The number of new links on the main page of the catalog");
define("STR_COLUMNS_NUMBER","Columns number");
define("STR_ORDER_VIEWS","Order views");
define("STR_BY_DATE","By date");
define("STR_BY_NUMBER","By the number of clicks");
define("STR_ORDER_LINKS","Order links");
define("STR_BY_INCREACE","By increace");
define("STR_BY_DECREASE","By decrease");
define("STR_SHOW_CY","Display Yandex CY");
define("STR_SHOW_PR","Display PageRank Google");
define("STR_STATIC","View URL links");
define("STR_STATIC_URL","Static");
define("STR_DYNAMIC_URL","Dynamic");
define("STR_CATALOG_URL","URL of catalog");
define("STR_ADMIN_EMAIL","Email of catalog admin");
define("STR_CATALOG_RULE","Catalog rule");
define("STR_FROM_ADD_MESSAGE","The message that should display to the user after addition of his link");
define("STR_MSG_FOR_USER_AFTER_ADDITION","Messages, which will be displayed to users after adding their links");
define("STR_HTMLCODE_SITE1","HTML code of link #1");
define("STR_HTMLCODE_SITE2","HTML code of link #2");
define("STR_HTMLCODE_SITE3","HTML code of link #3");
define("STR_HTMLCODE_BANNER1","HTML code of banner #1");
define("STR_HTMLCODE_BANNER2","HTML code of banner #2");
define("STR_HTMLCODE_BANNER3","HTML code of banner #3");
define("STR_LETTERS_TEMPLATES","Templates of letters");
define("STR_EMAIL_FOR_USER_ADD_MODER","E-mail message for the user,<br> if his link was added on the moderation");
define("STR_EMAIL_FOR_USER_ADD_CATALOG","E-mail message for the user,<br> if his link was added to the catalog");
define("STR_EMAIL_FOR_USER_HIDE_ABSENSE","E-mail message for the user,<br> if his link was temporarily hidded for reason of absence of reciprocal link");
define("STR_EMAIL_FOR_USER_HIDE_PROHIB","E-mail message for the user,<br> if his link is hidden in the catalog for reason of the prohibition of indexation by the meta tags or robot.txt:");
define("STR_EMAIL_FOR_USER_PASSED","E-mail message for the user,<br> if his link hasn't passed a verification by the catalog's admin");
define("STR_EMAIL_FOR_USER_REMOVE","E-mail message for the user,<br> if his link was removed from the catalog");
define("STR_EMAIL_FOR_USER_ADD_NEW","E-mail message for the catalog's admin after addition of new link");
define("STR_CATALOG","Catalog");
define("STR_CATALOG_SETTINGS","General");
define("STR_CHECK_INTERVAL","Minimal interval between verification of linksreciprocal link (in days)");
define("STR_NUMBER_CHECK","Number of verification of reciprocal links after which they will be removed");
define("STR_NUMBER_CHARS_DESCRIPTION","Number of characters in brief description of website");
define("STR_NUMBER_CHARS_FULLDESCRIPTION","Number of characters in full description of website");
define("STR_NUMBER_HTML_CHARS","Number of characters in HTML code of link and banner");
define("STR_REQUEST_CAPTCHA"," 	Request the security code (CAPTCHA)");
define("STR_ADD_LINKS_WITHOUT_CHECK","Allow to add the links to catalogue passing a admin check");
define("STR_CHECK_LINKS","Check a reciprocal link at the moment of its addition");
define("STR_COMMON_HOST","Forbid add links located on the same hosting like as the catalog is");
define("STR_CHECK_GET_PARAMETER","Forbid to specify the address of catalog for a reciprocal link in arg=value");
define("STR_LIMIT_RECIPROCAL_LINKS","Forbid to add the link if number of url link on reciprocal link's page is more than");
define("STR_ADD_TO_BLACKLIST","Add the link to blacklist if it has not passed the chec");
define("STR_NEW_LINKS_NOTIFICATION","Verify catalog's admin about new links");
define("STR_ADD_CATEGORY","Add category");
define("STR_ADD_SUBCATEGORY","Add subcategory");
define("STR_ADD","Add");
define("STR_EDIT","Edit");
define("STR_REMOVE","Remove");
define("STR_CATEGORY_NAME","Name");
define("STR_CATEGORY_DESCRIPTION","Description(META)");
define("STR_CATEGORY_KEYWORDS","Keywords (META)");
define("STR_CATEGORY_IMAGE","Picture (not more than 50 kb)");
define("STR_REMOVE_PIC","remove image");
define("STR_REASON","Reason");
define("STR_PAGES","Pages");
define("STR_LOGO",'© 2011-2015');
define("STR_AUTHOR","Alexander Yanitsky");
define("STR_HELPPAGE","Help");
define("STR_FAQPAGE","FAQ");
define("STR_LINKS_IN_CATALOG","Links in catalog");
define("STR_FILE","File");
define("STR_RECIPROCAL_LINK","Reciprocal link");
define("STR_RESULT_REMOVED_LINKS","Removed links");
define("STR_RESULT_HIDDED_LINKS","Hidded links");
define("STR_RESULT_ADDED_LINKS","Added links");
define("STR_LINKS_WAITING_CHECKS","Links waiting for checks");
define("STR_NUMBER_OF_CLICKS","Number of clicks");
define("STR_LINKS_FOR_CHECK","Links for check");
define("STR_KEYWORDS_SEARCHFORM","Keywords");
define("STR_SEARCH_IN_CATALOG_SEARCHFORM","Search in catalog");
define("STR_IT_DOESNT_MATTER_SEARCHFORM","It doesn't matter");
define("STR_MEETING_OF_KEYWORDS_SEARCHFORM","Meeting keywords");
define("STR_AT_LEAST_ONCE","At least once");
define("STR_ALL_WORDS_TOGETHER","All words together");
define("STR_FIND_SEARCHFORM","Find");
define("STR_SEARCH_RESULT","Search result");
define("STR_BLACKLISTED","Added to blacklist");
define("STR_CURRENT_PASSWORD","Current password");
define("STR_NEW_PASSWORD","Password");
define("STR_NEW_PASSWORD_AGAIN","Password again");
define("STR_YOUR_PASSWORD","Enter the password");
define("STR_LOGIN","Login!");
define("STR_NO","No");
define("STR_LOGOUT","Logout");
define("STR_UPDATE_WARNING",'A new version of %SCRIPTNAME% is available and you can use it. The newest version is %VERSION%, released %CREATED%. <a href="%DOWNLOADLINK%">Download</a>');
define("STR_WARNING","Warning");
define("STR_URL_INFO",'http://janicky.com/en/php-scripts/my-links-manager');
define("STR_HELP","Help");
define("STR_WEBSITE","Website");

define("TITLE_ADMIN_AREA","Admin area My Links Manager");

define("BUTTON_RESET","Reset");
define("BUTTON_ADD","Add");
define("BUTTON_EDIT","Edit");
define("BUTTON_SAVE","Save");
define("BUTTON_TO_BLACKLIST","Add to Blacklist");
define("BUTTON_DELETE","Delete");
define("BUTTON_RESTORE","Restore");
define("BUTTON_HANDCHECK","Check manually");
define("BUTTON_AUTOCHECK","Check automatically");
define("BUTTON_CHECK_ALL_LINKS_AUTOMATICALLY","Check all links automatically");
define("BUTTON_SAVE_CHANGES_IN","Save changes in");
define("BUTTON_FIND","Find");
define("BUTTON_BY_DEFAULT","By default");
define("BUTTON_LOGIN","Login");

define("REASON_CLOSED_FOR_INDEX_ROBOT","Forbidden for indexing in robots.txt");
define("REASON_CLOSED_FOR_INDEX_META","Forbidden for indexing by meta tag &lt;meta&nbsp;name=robot&gt;;");
define("REASON_ABSENSE_RECIPROCAL","Reciprocal link is absense or is not available");
define("GO_TO_WEBSITE","Go to website");

define("INDEXTITLE","New links");
define("ADDLINKTITLE","Add url");
define("CATTITLE","Categories");
define("CHECKTITLE","Check links");
define("EDITTITLE","Edit links");
define("SETTINGSTITLE","Settings");
define("BLACKTITLE","Blacklist");
define("CHANGETITLE","Change Password");
define("DESIGNTITLE","Edit design");
define("MENUINDEX","New links");
define("MENUADDURL","Add url");
define("MENUCAT","Categories");
define("MENUCHECK","Check links");
define("MENUEDIT","Edit links");
define("MENUSETTING","Settings");
define("MENUBLACK","Blacklist");
define("MENUCHANGE","Change password");
define("MENUDESIGN","Edit design");

?>