<?php

/********************************************
* My Links Manager 2.0.4
* Copyright (c) 2011-2015 Alexander Yanitsky
* Website: http://janicky.com
* E-mail: janickiy@mail.ru
* Skype: janickiy
********************************************/ 

// config
require_once 'config/config.inc';

// Require necessary classes
require_once "class/class.exception_mysql.php";

try
{
	// Require necessary libs
	require_once "lib/function.inc";
	require_once "lib/connect.inc";	
	
	$_GET['id_cat'] = $dbh->real_escape_string($_GET['id_cat']);
	
	$query = "SELECT * FROM ".DB_CATALOG." WHERE id_cat=".$_GET['id_cat'];
	$result = $dbh->query($query);
	
	if(!$result) { throw new ExceptionMySQL($dbh->error,$query,"Error executing SQL query!"); }
	
	$row = $result->fetch_array();
	$image = imagecreatefromstring($row['image']) or die('Can\'t load image.');
	header("Content-Type: ".$row['image_mime']."");
	imagejpeg($image);
	imagedestroy($image);

	$dbh->close();
}
catch(ExceptionMySQL $exc)
{
	require_once("lib/exception_mysql_debug.inc");
}

?>